<?

//                                    
$MODULE_TYPES["content"] = 10000;
$MODULE_TYPES["shop"] = 20000;
$MODULE_TYPES["business"] = 30000;
$MODULE_TYPES["tracking"] = 60000;
$MODULE_TYPES["portal"] = 70000;

function tree_root() {
global $USER_ID, $PERMSQL, $FEATURE, $LOAD_MODULE, $T_PRODUCT_INFO, $MODULE_TYPES, $STAG_PREFIX;

if ($USER_ID == 1) 
$sql = "DISTINCT id, itemorder, name, type_id, LOWER(name) AS l_name  FROM tree WHERE mother = 0 ORDER BY itemorder, l_name";
else
$sql = "SELECT DISTINCT id, itemorder, name, type_id, LOWER(name) AS l_name  FROM tree LEFT JOIN perm ON (perm.o_id = tree.id 
	AND perm.o_type = tree.type_id AND ($PERMSQL)) WHERE mother = 0 AND (perm.perm LIKE '1%') 
	ORDER BY itemorder, l_name";


$rs = query($sql);//            

$res = $rs["arr"];

if ($FEATURE["product_preview"] && is_array($LOAD_MODULE)) {
reset($LOAD_MODULE);
while (list($mod, $val) = each($LOAD_MODULE)) {
if ($val || !$MODULE_TYPES[$mod]) continue;

$sql = "SELECT name FROM tree WHERE type_id = ".sqlf_tl_num($MODULE_TYPES[$mod]);
$rs = query($sql,1);//            
 $name = $rs["arr"][0]["name"];

$row = array();
$row["name"] = ($name)?$name:strtoupper(substr($mod,0,1)).substr($mod,1).".Node";
$row["id"] = $mod;
$row["type_id"] = $T_PRODUCT_INFO;
$row["icon"] = "$STAG_PREFIX?do=11&module=system&img=$mod.gif";

$res[] = $row;
}
}

return $res;
}

function tree_i18n($mother) {
global $USER_ID, $PERMSQL, $T_TYPE, $FEATURE, $LOAD_MODULE, $T_PRODUCT_INFO, $MODULE_TYPES, $STAG_PREFIX;

if ($USER_ID == 1)
$sql = "SELECT DISTINCT id, itemorder, name, type_id, LOWER(name) AS l_name  FROM tree WHERE mother = ".sqlf_tl_num($mother)." ORDER BY itemorder, l_name";
else 
$sql = "SELECT DISTINCT id, itemorder, name, type_id, LOWER(name) AS l_name  FROM tree LEFT JOIN perm ON (perm.o_id = tree.id 
	    AND perm.o_type = tree.type_id AND ($PERMSQL)) WHERE mother = ".sqlf_tl_num($mother)." AND (perm.perm LIKE '1%' OR ".sqlf_tl_num($USER_ID)." = 1) 
		    ORDER BY itemorder, l_name";
$rs = query($sql);//            
 while (list($k,$v) = each($rs["arr"])) {
$tmp = $T_TYPE[$v["type_id"]]["self_i18n"];
if ($tmp) {
$rs["arr"][$k]["name"] = $tmp;
}
}

reset($rs["arr"]);

if ($mother == 0 && $FEATURE["product_preview"] && is_array($LOAD_MODULE)) {
reset($LOAD_MODULE);
while (list($mod, $val) = each($LOAD_MODULE)) {
if ($val || !$MODULE_TYPES[$mod]) continue;

$sql = "SELECT name FROM tree WHERE type_id = ".sqlf_tl_num($MODULE_TYPES[$mod]);
$rs2 = query($sql,1);//            
 $name = $rs2["arr"][0]["name"];

$row = array();
$row["name"] = ($name)?$name:strtoupper(substr($mod,0,1)).substr($mod,1).".Node";
$row["id"] = $mod;
$row["type_id"] = $T_PRODUCT_INFO;
$row["icon"] = "$STAG_PREFIX?do=11&module=system&img=$mod.gif";

$rs["arr"][] = $row;
}
}

return $rs["arr"];
}

function tree_featuregroup($mother) {
global $USER_ID, $PERMSQL, $T_TYPE, $FEATURE, $T_FEATUREGROUP;

if ($USER_ID == 1)
$sql = "SELECT id, name_i18n, LOWER(name_i18n) AS l_name FROM featuregroup WHERE mother_id = ".sqlf_tl_num($mother)." ORDER BY l_name";
else
$sql = "SELECT id, name_i18n, LOWER(name_i18n) AS l_name FROM featuregroup LEFT JOIN perm 
	  ON (perm.o_id = featuregroup.id AND perm.o_type = ".sqlf_tl_num($T_FEATUREGROUP)." AND ($PERMSQL)) 
	  WHERE mother_id = ".sqlf_tl_num($mother)." AND (perm.perm LIKE '1%') ORDER BY l_name";
$rs = query($sql);//            
 $list = array();
foreach($rs["arr"] as $k=>$v) {
$tmp = $v;
$tmp["nid"] = $v["id"];
$tmp["name"] = i18n($v["name_i18n"]);
$tmp["type_id"] = $T_FEATUREGROUP;
$list[] = $tmp;
}
return $list;
}

?>
