<?php

class ParserFactory extends BaseObject
{

function& getInstanceOf( $type )
{
static $cache = array();
if ( isset( $cache[$type] ) )
return $cache[$type];
switch ( $type )
{
case "xnl":
node_include( "xnlparser" );
$ret =& new XNLParser();
break;
case "cntag":
node_include("cntagparser");
$ret = new CNTagParser();
break;
default:
$ret = new NodeException( "Unkown type ($type)" );
break;
}

$cache[$type] = &$ret;
return $ret;
}
}

?>
