<?php

/**
 *                                                                      
 *                                                              
 *
 *                                                     
 *                                                     
 *                                        
 */
function array_value($array, $key) {
return $array[$key];
}

/**
 *                                                                      
 *                                                                   
 *
 *                                                                 
 *                                                   
 */
function array_create()
{
return func_get_args();
}

/**
 *                                                          
 *                                                       
 *
 *                                                
 *                                       
 */
function strcat()
{
$args = func_get_args();
return implode('', $args);
}

/**
 *                                                                    
 *                                                                      
 *                                                                  
 *       
 *
 *                                   
 *                           
 */
function array_zip()
{
$args = func_get_args();
//                                        
 array_unshift($args, 'array_create');
return call_user_func_array('array_map', $args);
}

/**
 *                                                              
 *                                                                    
 *                           
 *
 *                                                       
 */
function schwarzian_cmp($a, $b) {
return $a[0] > $b[0] ? 1 : ($a[0] == $b[0] ? 0 : -1);
}

/**
 *                                                                      
 *                                                          
 *
 *                                                          
 *                                                                   
 *                               
 */
function array_column($array, $key)
{
return array_map(cb_cutright('array_value', $key),
$array);
}

/**
 *                                                                     
 *                                            
 *
 *                                        
 *                                 
 *                               
 */
function array_map_splicing()
{
$args = func_get_args();
$args[0] = cb_cutleft('call_user_func_array', $args[0]);
return call_user_func_array('array_map', $args);
}

/**
 *                                                                   
 *                                                       
 *                                                                 
 *
 *                                                           
 *                                                   
 *                        
 */
function cb_cutleft() {
$args = func_get_args();
$cb   = $args[0];
unset($args[0]);
return array(new CBWrapper($cb, new CBCutleftArgs($args)), 'invoke');
}

/**
 *                                                                        
 *                            
 *
 *                                                            
 *                                                    
 *                        
 */
function cb_cutright()
{
$args = func_get_args();
$cb   = $args[0];
unset($args[0]);
return array(new CBWrapper($cb, new CBCutrightArgs($args)), 'invoke');
}

//                                                                     
//                                                                
class CBWrapper
{
var $cb;
var $cutargs;

function CBWrapper($callback, $cutargs)
{
$this->cb      = $callback;
$this->cutargs = $cutargs;
}

function invoke()
{
$uncut = func_get_args();
return call_user_func_array($this->cb, $this->cutargs->cut($uncut));
}
}

//                                    
class CBArgs
{
var $args;

function CBArgs($args)
{
$this->args = $args;
}
}

//                                                                          
class CBCutleftArgs extends CBArgs {
function cut($uncut)
{
return array_merge($this->args, $uncut);
}
}

//                                                                           
class CBCutrightArgs extends CBArgs {
function cut($uncut)
{
return array_merge($uncut, $this->args);
}
}

//   
