<?

/**
 *                                                 
 *  
 *                            
 **/

function dbfile_exists($name, $folder_id, $excludeid = "") {
//                                    
 $sql = "SELECT pub_dir, node_id FROM folder WHERE id = ".sqlf_tl_num($folder_id);
$rs = query($sql);//            

$pub_dir = $rs["arr"][0]["pub_dir"];
$node_id = $rs["arr"][0]["node_id"];
$a_name = sqlslashes($name);

$sql = "SELECT contentfile.id, contentfile.name FROM contentfile, folder WHERE 
contentfile.folder_id = folder.id AND folder.node_id = ".sqlf_tl_num($node_id)." AND folder.pub_dir = '".sqlslashes($pub_dir)."' AND contentfile.name = '".sqlf_escaped($a_name)."' AND contentfile.id != '".sqlf_escaped($excludeid)."'";

$rs = query($sql);//            
 return $rs["arr"][0]["id"];
}


/**
 *                                          
 *  
 *                     
 **/

function dbfile_size($file_id) {
global $ERROR;
$sql = "SELECT filesize FROM contentfile WHERE id = ".sqlf_tl_num($file_id);
$rs = query($sql);//            

if ($rs["num"] == 0) {
$ERROR = "no file with id $file_id";
return false;
} elseif ($rs["num"] > 1) {
$ERROR = "too many files found<br>";
return false;
} else {
return $rs["arr"][0]["filesize"];
}
}

function dbfile_getid($name, $folder_id) {
$sql = "SELECT pub_dir, node_id FROM folder WHERE id = ".sqlf_tl_num($folder_id);
$rs = query($sql);//            
 $pub_dir = $rs["arr"][0]["pub_dir"];
$node_id = $rs["arr"][0]["node_id"];
$a_name = sqlslashes($name);
$sql = "SELECT contentfile.id, contentfile.name FROM contentfile, folder WHERE 
contentfile.folder_id = folder.id AND folder.node_id = ".sqlf_tl_num($node_id)." AND folder.pub_dir = '".sqlslashes($pub_dir)."' AND contentfile.name = '".sqlf_escaped($name)."'";
$rs = query($sql);//            
$id = $rs["arr"][0]["id"];
if ($id) return $id;
else return false;
}

function dbfile_getinfo($name, $folder_id) {
global $SQLAS;
$sql = "SELECT contentfile.id, contentfile.name, contentfile.description, contentfile.filesize, contentfile.md5 FROM contentfile, folder, folder $SQLAS f2 WHERE 
contentfile.folder_id = folder.id AND folder.node_id = f2.node_id AND folder.pub_dir = f2.pub_dir AND contentfile.name = '".sqlf_escaped($name)."' AND f2.id = ".sqlf_tl_num($folder_id);
$rs = query($sql);//            
 return $rs["arr"][0];
}




//                                                 
//                                                              
function cmd_file_create($name,$folder_id,$description,$orig_name="",$dryrun=false) {
global $TIME,$USER_ID,$T_FILE,$DIC,$W_CREATE, $ERROR, $T_FOLDER, $FEATURE;

//                 
 if ($name === false || $name === "") halt(7, "cmd_file_create: No name ($name)");
if (!isset($folder_id) || $folder_id == "") halt(7, "cmd_file_create: No folder_id isset or \"\" ($folder_id)");

if (!perm($USER_ID,$T_FOLDER,$folder_id,12,null,$T_FILE,11)) {
$ERROR = i18n('cn_cmd_file_create_permission_denied'); //                
 return false;
}

//                               
 if ($orig_name && $orig_name != $name) {
ereg("\.([a-zA-Z]*)$", $orig_name, $orig);
ereg("\.([a-zA-Z]*)$", $name, $new);
if ($orig[1] && $new[1] != $orig[1]) {
//                        
 if (!$new[1]) {
$name = $name.".".$orig[1];
} else {
$ERROR = $DIC[684];
return false;
}
}
}
if (dbfile_exists($name, $folder_id)) {
$ERROR = $DIC[680];
return false;
}

if ($dryrun) {
return true;
}

//            
 $name = sqlslashes($name);
$description = sqlslashes($description);

$sql = "INSERT INTO contentfile (name,folder_id,description,creator,cdate,editor,edate) 
VALUES ('".sqlf_escaped($name)."',".sqlf_tl_num($folder_id).",'".sqlf_escaped($description)."',".sqlf_tl_num($USER_ID).",".sqlf_tl_num($TIME).",".sqlf_tl_num($USER_ID).",".sqlf_tl_num($TIME).")";
$rs = query($sql);//            
 $file_id = $rs["iid"];
if($FEATURE["contentfile_data_to_db"]) {
//                                                                                      
 $sql = "INSERT INTO contentfiledata (contentfile_id, binarycontent) VALUES (".sqlf_tl_num($file_id).", '')";
query($sql);//            
 }

//                  
 logcmd($W_CREATE, $T_FILE, $file_id , $folder_id, "cmd_file_create");
triggerEvent( $T_FILE, $file_id, EVENT_CREATE, new EventObject() );
if ($FEATURE["cn_notification"]) cn_notify($file_id,$T_FILE,$name,$folder_id,$T_FOLDER);

return $file_id;
}

//                                                               
function cmd_file_data($file_id,$data,$size,$type) {
global $TIME,$USER_ID,$DIC,$W_EDIT,$T_FILE, $ERROR, $T_FOLDER, $FILEPATH, $MODULE, $FEATURE;

//                 
 if (!$file_id) halt(7,"cmd_file_data: no file_id to update.");

//                                           
 $changed = array();

/*
                                                
                       
                 
   
*/
$sql = "SELECT * FROM contentfile WHERE id = ".sqlf_tl_num($file_id);
$rs = query($sql);//            

savefile($file_id, $data);
$filetype = strtolower($type);
$filetype = sqlslashes($filetype);
if ($USER_ID != 1) $sqlpart = ", editor = ".sqlf_tl_num($USER_ID).", edate = ".sqlf_tl_num($TIME);
else $sqlpart = "";

$sub_type = substr($type,strpos($type,"/")+1);
$type = substr($type,0,strpos($type,"/"));

//                
 if($FEATURE["contentfile_data_to_db"]) {
$md5 = md5($data);
} else {
$md5 = md5_file("$FILEPATH/$MODULE/dbfiles/$file_id.bin");
}

if ($sub_type == "pdf")
{
$type = "application";
$filetype = "application/pdf";
} 


if ($type == "image") {
cmd_filecache_clear($file_id);
$img = new img_resize();
if($FEATURE["contentfile_data_to_db"]) {
$img->setId($file_id);
} else {
$img->setFile( "$FILEPATH/$MODULE/dbfiles/$file_id.bin" );
}
$img->clearCache();
$img->getImageType();
$sqlpart = ", sizex = ".((int)$img->imgwidth).", sizey = ".((int)$img->imgheight). ", dpix=".((int)$img->imgdpix).",dpiy=".((int)$img->imgdpiy);
if ($rs["arr"][0]["sizex"] != $img->imgwidth) {
$changed[] = "sizex";
}
if ($rs["arr"][0]["sizey"] != $img->imgheight) {
$changed[] = "sizey";
}
if ($rs["arr"][0]["dpix"] != $img->imgdpix) {
$changed[] = "dpix";
}
if ($rs["arr"][0]["dpiy"] != $img->imgdpiy) {
$changed[] = "dpiy";
}
}

$sql = "UPDATE contentfile SET filesize=".sqlf_tl_num($size).", md5='".sqlf_escaped($md5)."', edate=".sqlf_tl_num($TIME).", editor=".sqlf_tl_num($USER_ID).",filetype='".sqlf_escaped($filetype)."'$sqlpart WHERE id = ".sqlf_tl_num($file_id);

query($sql);//            

//                  
 logcmd($W_EDIT, $T_FILE, $file_id , 0, "cmd_file_data");

$changed[] = "editor";
$changed[] = "edate";
$changed[] = "filetype";
$changed[] = "binarycontent";
triggerEvent(CT_FILE, $file_id, EVENT_UPDATE, new EventObject(null, $changed) );

return $file_id;
}

/**
 *                                                       
 *                                                               
 *                                  
 *                             
 *                                             
 *                                                    
 *                                                           
 *                                                     
 *                                                                                                      
 *                                                    
 */
function cmd_file_update($file_id,$folder_id,$name,$description, $f_userfile_name = false, $f_userfile_type = false, $forceextensionrename = false, $dryrun = false) {
global $TIME,$USER_ID,$DIC,$W_EDIT,$T_FILE, $ERROR, $T_FOLDER, $FILEPATH, $MODULE, $FEATURE, $ERROR_DUPLICATE;

//                 
 if (!$file_id) halt(7,"cmd_file_update: no file_id to update.");

if (!perm($USER_ID,$T_FOLDER,$folder_id,13,NULL,$T_FILE,12)) {

$ERROR = $DIC[832];
return false;
}

//                          
 $sql = "SELECT * FROM contentfile WHERE id = ".sqlf_tl_num($file_id);
$rs = query($sql);//            
 if ($f_userfile_type) {
$type = $f_userfile_type;
} else {
$type = $rs["arr"][0]["filetype"];
}

//                                                                         
 $orig_name = sqlslashes($rs["arr"][0]["name"]);
$orig_description = sqlslashes($rs["arr"][0]["description"]);
$orig_filetype = sqlslashes($rs["arr"][0]["filetype"]);

//                               
 ereg("\.([a-zA-Z]*)$",$rs["arr"][0]["name"], $orig);
ereg("\.([a-zA-Z]*)$",$name, $new);
if (!$forceextensionrename && !$f_userfile_name && $orig[1] && strtolower($new[1]) != strtolower($orig[1])) {
$ERROR = $DIC[684];
return false;
}

/**
   *                        #    
   *                                                             
   *                                                                       
   *                                                                       
   */
if (strcmp($f_userfile_name,"") != 0) {
$pregFilenameExtension = "/(.*)\.(\w{2,4})$/";
preg_match($pregFilenameExtension,$rs["arr"][0]["name"],$matchOrig);
preg_match($pregFilenameExtension,$f_userfile_name,$matchNew);
//                                                                       
 if ($name == $rs["arr"][0]["name"] && strcmp(strtolower($matchOrig[2]),strtolower($matchNew[2])) == 0) {
$name = $rs["arr"][0]["name"];
//                                                                       
 } elseif ($name == $rs["arr"][0]["name"] && strcmp(strtolower($matchOrig[2]),strtolower($matchNew[2])) != 0) {
$name = $matchOrig[1] . '.' . $matchNew[2];
}
}

/**
   *                        #    
   *                                                                                     
   */
if ($f_userfile_name && ($rs["arr"][0]["name"] != $name)) {
preg_match("/\.\w{2,4}$/",$f_userfile_name,$matchUserfileName);
preg_match("/\.\w{2,4}$/",$name,$matchName);
if (strcmp($matchName[0],$matchUserfileName[0]) != 0) {
$ERROR = $DIC[2440];
return false;
}
}

//                                                                                 
 if ($rs["arr"][0]["name"] != $name) {
if (dbfile_exists($name, $folder_id, $file_id)) {
$ERROR = $DIC[680];
$ERROR_DUPLICATE = true;
return false;
}
}

if ($dryrun) {
return true;
}

$changed = array();
//              
 $name = sqlslashes($name);
$description = sqlslashes($description);

$type = substr($type,0,strpos($type,"/"));
if ($type == "image") {
$img = new img_resize();
if($FEATURE["contentfile_data_to_db"]) {
$img->setId($file_id);
} else {
$img->setFile( "$FILEPATH/$MODULE/dbfiles/$file_id.bin" );
}
$img->clearCache();

$img->getImageType();
$sqlpart = ", sizex = ".((int)$img->imgwidth).", sizey = ".((int)$img->imgheight). ", dpix=".((int)$img->imgdpix).",dpiy=".((int)$img->imgdpiy);
if ($rs["arr"][0]["sizex"] != $img->imgwidth) {
$changed[] = "sizex";
}
if ($rs["arr"][0]["sizey"] != $img->imgheight) {
$changed[] = "sizey";
}
if ($rs["arr"][0]["dpix"] != $img->imgdpix) {
$changed[] = "dpix";
}
if ($rs["arr"][0]["dpiy"] != $img->imgdpiy) {
$changed[] = "dpiy";
}
} else {
//                                    
 $sqlpart = ", sizex=0, sizey=0, dpix=0, dpiy=0";
}

//                                           
 if ($name != $orig_name) {
$changed[] = "name";
}
if ($description != $orig_description) {
$changed[] = "description";
}

//                                            
 if ($f_userfile_type) {
$sqlpart .= ", filetype='".sqlf_escaped($f_userfile_type)."'";
if ($orig_filetype != $f_userfile_type) {
$changed[] = "filetype";
}

}

//                                           
 if (count($changed) == 0) {
return $file_id;
}

$changed[] = "editor";
$changed[] = "edate";
$sql = "UPDATE contentfile 
          SET name = '".sqlf_escaped($name)."', editor = ".sqlf_tl_num($USER_ID).", edate = ".sqlf_tl_num($TIME).", description = '".sqlf_escaped($description)."' $sqlpart
          WHERE id = ".sqlf_tl_num($file_id);
query($sql);//            

//                  
 logcmd($W_EDIT, $T_FILE, $file_id , 0, "cmd_file_update");
triggerEvent( $T_FILE, $file_id, EVENT_UPDATE, new EventObject(array("name"=>$name, "editor"=>$USER_ID, "description"=>$description), $changed) );

return $file_id;
}


/**
 *                                        
 *                                        
 *                                                                                
 *                                                                    
 */
function cmd_file_del_wf($id, $checkperms = true) {
global $USER_ID,$TIME,$DIC,$W_DEL,$T_FILE, $T_FOLDER;

//                 
 if (!$id) halt(0,"cmd_file_del: No file_id to delete");

//                          
 if ( !is_array($id) ) {
$id = array( $id=>true );
}

$del_ids = array();

//                    
 while (list($key,$val) = each($id)) {
$sql = "SELECT folder_id FROM contentfile WHERE id = ".sqlf_tl_num($key);
$rs = query($sql,1);//            
 $folder_id = $rs["arr"][0]["folder_id"];

//                                 
 if ($checkperms && !perm($USER_ID,$T_FOLDER,$folder_id,14,null,$T_FILE,13)) {
$ERROR = $DIC[832];
} else {
//                  
 if (trigger_event("onfiledelete", array("file_id" => $key, "folder_id" => $folder_id))) {
continue;
} else {
$del_ids[] = $key;
}
}
}

return $del_ids;
}

/**
 *                       
 *                                                                       
 *                                                  
 */
function cmd_file_del($id) {
global $ERROR, $JAVAPARSER_RETURN, $T_FILE;

//                 
 if (!$id) halt(0,"cmd_file_del: No file_id to delete");

//                 
 $del_ids = cmd_file_del_wf($id);

$error = false;
if (!empty($del_ids)) {
//                
 $javaParser =& CodeParser::getJavaParser();
$ERROR = $javaParser->deleteObject($T_FILE, $del_ids);
if (!empty($ERROR)) {
$error = true;
if (isset($JAVAPARSER_RETURN["params"]["halt"])) {
halt(7, $ERROR);
}
}
}

return $error;
}


/**
 *               
 *
 *                                                                   
 *                                                         
 */
function cmd_file_move($source, $target) {
global $USER_ID,$TIME,$DIC,$W_MOVE,$T_FOLDER, $ERROR, $T_FILE;

if (!$source) halt(0,"cmd_folder_move: No source to move");
if (!$target) halt(0,"cmd_folder_move: No target to move");

if (!perm($USER_ID,$T_FOLDER,$target,12,null,$T_FILE,11)) {
$ERROR = $DIC[834];
return true;
}

//                                               
 $error = false;
if ( !is_array( $source ) ) $source = array( $source=>"" );

//                            
 if (is_array($source)) {
$snames = array();
while (list($key,$val) = each($source)) {
//                     
 $sql = "SELECT folder_id,name FROM contentfile WHERE id = ".sqlf_tl_num($key);
$rs = query($sql,1);//            
 $folder_id = $rs["arr"][0]["folder_id"];
$snames[] = $rs["arr"][0]["name"];
if ($folder_id == $target) {
$error = true;
$ERROR = $DIC[836];
}
if (!perm($USER_ID,$T_FOLDER,$folder_id,14,null,$T_FILE,13)) {
$ERROR = $DIC[835];
} else {
$tmp .= " id = ".sqlf_tl_num($key)." OR";
$log[] = $key;
}
}

//                                                      
 $sql = "SELECT pub_dir, node_id FROM folder WHERE id = ".sqlf_tl_num($target);
$rs = query($sql);//            
 $sql = "SELECT contentfile.* FROM contentfile, folder ".
"WHERE contentfile.folder_id = folder.id AND folder.node_id = ".sqlf_tl_num($rs["arr"][0]["node_id"]).
" AND folder.pub_dir = '".sqlf_escaped($rs["arr"][0]["pub_dir"])."' ".
" AND contentfile.id NOT IN (".implode( ",", sqlf_tl_num_array(array_keys( $source ))).")";
$rs = query($sql);//            
 $target_files = $rs['arr'];

$target_names = array_column($target_files, 'name');
$name_intersect = array_intersect($snames, $target_names);
if ( ! empty($name_intersect)) {
//                                                            
 //                            
 $ERROR = $DIC[680];

//                                                       
 //                                                          
 //                       
 $message = count($name_intersect) == 1
? $ERROR
: i18n('Unable to copy files due to conflicting file names.');

$target_files = array_combine(array_column($target_files, 'name'), $target_files);
$target_conflict = array_intersect_key($target_files, array_fill_keys($name_intersect, null));

return array('error' => 'name_conflict',
'message' => $message,
'conflicts' => $target_conflict);
}
}

//                                                
 if (!$error) {
//                   
 $sql = "SELECT DISTINCT folder_id FROM contentfile where $tmp 1=2";
$source_folders = query($sql);//            

$sql = "UPDATE contentfile SET folder_id = ".sqlf_tl_num($target).", edate = ".sqlf_tl_num($TIME).", editor = ".sqlf_tl_num($USER_ID)." WHERE $tmp 1=2";
query($sql);//            

//                             
 reset($log);
while (list($k, $v) = each ($log)) {
logcmd($W_MOVE, $T_FILE, $v , $target, "cmd_file_move");
triggerEvent( $T_FILE, $v, EVENT_MOVE, new EventObject( array("toId"=>$target) ) );

//                                         
 triggerEvent(T_FOLDER, $target, EVENT_UPDATE, new EventObject(null, array("files", "images")) );
}

//                                          
 while (list($k, $v) = each($source_folders["arr"])) {
triggerEvent(T_FOLDER, $v["folder_id"], EVENT_UPDATE, new EventObject(null, array("files", "images")));
}
}

return $error;
}

function cmd_filecache_clear($id) {
global $FILEPATH,$MODULE;
$imageResizer = new img_resize();
$imageResizer->warn_on_error = true;
if($FEATURE["contentfile_data_to_db"]) {
$imageResizer->setId($file_id);
} else {
$imageResizer->setFile( "$FILEPATH/$MODULE/dbfiles/$file_id.bin" );
}

$imageResizer->clearCache();
}

/**
 *                                                                                                   
 *                                                                                                             
 *                                                                                              
 *                                                                        
 *                                                    
 *                            
 *                           
 *                                                                 
 *                            
 */
function suggest_new_filename($oldname, $folder_id, $file_id = false) {
//                   
 if (eregi("^(.*)_([0-9]*)\\.([^\\.]*)$", $oldname, $regs)) {
$filename = $regs[1];
$number = $regs[2];
if (!$number) {
$number = 0;
}
$extension = ".".$regs[3];
} else if (eregi("^(.*)\\.([^\\.]*)$", $oldname, $regs)) {
$filename = $regs[1];
$number = 0;
$extension = ".".$regs[2];
} else {
$filename = $oldname;
$number = 0;
$extension = "";
}

//                                        
 $folder = get_folderinfo($folder_id);

$pub_dir = $folder["pub_dir"];
$node_id = $folder["node_id"];

//                                
 $filepattern = $filename."%".$extension;
$sql = "SELECT contentfile.id, contentfile.name FROM contentfile, folder WHERE contentfile.folder_id = folder.id AND folder.node_id = ".sqlf_tl_num($node_id)." AND folder.pub_dir = '".sqlslashes($pub_dir)."' AND contentfile.name LIKE '".sqlslashes($filepattern)."'";
if ($file_id) {
$sql .= " AND contentfile.id != ".sqlf_tl_num($file_id);
}
$rs = query($sql);//            

$filename_found = true;
//                                
 $new_filename = $oldname;
for ($i = 0; $i < sizeof($rs["arr"]); $i++) {
if ($rs["arr"][$i]["name"] == $new_filename) {
$filename_found = false;
break;
}
}

//                          
 while (!$filename_found && $number < 100) {
$filename_found = true;
//                    
 $number++;
$new_filename = $filename."_".$number.$extension;
//                                   
 for ($i = 0; $i < sizeof($rs["arr"]); $i++) {
if ($rs["arr"][$i]["name"] == $new_filename) {
$filename_found = false;
break;
}
}
};

return $new_filename;
}
?>
