<?php

GUIFactory::setMainGUI("main");

if (!$log_id && $magic) {
$sql = "SELECT id FROM logevent WHERE logevent_id = 0 AND magic=".sqlf_tl_num($magic);
$rs = query($sql);//            

$log_id = $rs["arr"][0]["id"];
}

node_class( "dateformatter" );
node_class( "userformatter" );
node_class( "ttypeformatter" );

function getLog($id) {
$obj = new NodeLog();
if ($obj->initFromId($id)) {

if ($obj->isParent()) {
reset($obj->children);

foreach($obj->children as $child) {
if ($debug) echo "getting <b>$child</b><br>";
$c_obj = getLog($child);
$obj->addEvent($c_obj);
}
} else {
if ($debug) echo "<font color=blue>$id</font> has no child<br>";
}
return $obj;
} else {
if ($debug) echo "no such event<br>";
}
}

if ($logobj = getLog($log_id)) {
$arr=$logobj->getArray();

//                          

node_include( "item_list" );
node_class( "arraydatasource" );

$f = array();
$f["icon"] = "";
$f["fdate"] = i18n("date");
$f["user"] = i18n("user");
$f["fobj_type"] = i18n("object type");
$f["obj_command"] = i18n("object command");
$f["color"] = i18n("color");
$f["d_name"] = i18n("name");
$f["d_value_int"] = i18n("num");
$f["d_obj_type"] = i18n("object type");
$f["d_obj_id"] = i18n("object id");
$f["d_value_text"] = i18n("text");

$ds = new ArrayDataSource( $logobj->getArray(), $f);
$ds->setWrappable( "d_value_text" );
$ds->addColumnAttribs( "icon", "width=20px" );
$ds->addFormatter( "fdate", new DateFormatter("timestamp_request") );
$ds->addFormatter( "user", new UserFormatter("user_id", USERINFO_NAME) );
$ds->addFormatter( "fobj_type", new TTypeFormatter("obj_type") );
$ds->makeLink( "fdate", "fdate", "$STAG&do=11005", "", "magic", "magic" );

//           
 $list = new ItemList3("ml_import_test",$ds);
$list->setShowInfo( true );
} else {
//                        
 $error = "invalid magic";
}
?>
